## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege
Class PrivilegesConstants

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesConstants

    public class PrivilegesConstants

extends java.lang.Object

Constants for privileges page

Author:
  Idull

Field Summary
`static java.lang.String` `ALTER_PRIVILEGE`
`static java.lang.String` `AUTH_ID_ITEMS` Stand for the authorization identifiers
`static java.lang.String` `DELETE_PRIVILEGE`
`static java.lang.String` `INSERT_PRIVILEGE`
`static java.lang.String` `REFERENCE_PRIVILEGE`
`static java.lang.String` `REFERENCES_PRIVILEGE`
`static java.lang.String` `SELECT_PRIVILEGE`
`static java.lang.String` `UPDATE_PRIVILEGE`

Constructor Summary
`PrivilegesConstants()`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUTH_ID_ITEMS

    public static final java.lang.String AUTH_ID_ITEMS

  Stand for the authorization identifiers

  See Also:
    Constant Field Values

### SELECT_PRIVILEGE

    public static final java.lang.String SELECT_PRIVILEGE

See Also:
  Constant Field Values

### INSERT_PRIVILEGE

    public static final java.lang.String INSERT_PRIVILEGE

See Also:
  Constant Field Values

### UPDATE_PRIVILEGE

    public static final java.lang.String UPDATE_PRIVILEGE

See Also:
  Constant Field Values

### DELETE_PRIVILEGE

    public static final java.lang.String DELETE_PRIVILEGE

See Also:
  Constant Field Values

### ALTER_PRIVILEGE

    public static final java.lang.String ALTER_PRIVILEGE

See Also:
  Constant Field Values

### REFERENCE_PRIVILEGE

    public static final java.lang.String REFERENCE_PRIVILEGE

See Also:
  Constant Field Values

### REFERENCES_PRIVILEGE

    public static final java.lang.String REFERENCES_PRIVILEGE

See Also:
  Constant Field Values

Constructor Detail

### PrivilegesConstants

    public PrivilegesConstants()